#!/usr/bin/env python3


import re

data = open("data", "r")
html = data.read()
data.close()

html = html.replace("\n", " ")
matches = re.findall(
	r'<details id="(.+?)">.+?<summary>(.+?)</summary>.+?<p>(.+?)</p>.+?<ul>(.+?)</ul> <(div class="emph-box">(.+?)</div>)?.+?</details>',
	html, re.M
)

for match in matches:
	match = [group.replace('"', "'") for group in match]
	match = [re.sub(r"<!--.+?-->", "", group) for group in match]
	# ---
	print('<!--#set var="TITLE" value="%s" -->' % match[1])
	print('<!--#set var="METADATA" value="%s" -->' % match[2])
	print('<!--#set var="FILES" value="%s" -->' % match[3])
	if match[5]:
		print('<!--#set var="DESCRIPTION" value="%s" -->' % match[5])
	print('<!--#set var="LANGUAGE" value="en" -->')
	# ---
	print('<!--#if expr="(!$FROM) || ($FROM = 2022)" -->')
	print('<!--#if expr="(!$LANG) || ($LANGUAGE = $LANG)" -->')
	print('<!--#if expr="(!$SEARCH) || ($TITLE = /$SEARCH/) || ($METADATA = /$SEARCH/) || ($DESCRIPTION = /$SEARCH/)" -->')
	print('<details id="%s">' % match[0])
	print('  <summary><a href="?from=2022">2022</a><a href="?lang=en">English</a><!--#echo encoding="none" var="TITLE" --></summary>')
	print('  <p class="metadata"><!--#echo encoding="none" var="METADATA" --></p>')
	print('  <ul><!--#echo encoding="none" var="FILES" --></ul>')
	if match[5]:
		print('  <div class="emph-box"><!--#echo encoding="none" var="DESCRIPTION" --></div>')
	print('</details>')
	print('<!--#endif -->')
	print('<!--#endif -->')
	print('<!--#endif -->')
	# ---
	print('\n\n')

